Package com.independentsoft.office.drawing

# Enum Class LineEndWidth

java.lang.Object
java.lang.Enum<LineEndWidth>
com.independentsoft.office.drawing.LineEndWidth

All Implemented Interfaces:
  `Serializable`, `Comparable<LineEndWidth>`, `Constable`

public enum LineEndWidth extends Enum<LineEndWidth>
The Enum LineEndWidth.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LARGE`
  `MEDIUM`
  `NONE`
  `SMALL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LineEndWidth`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LineEndWidth[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LARGE

    public static final LineEndWidth LARGE

  - ### MEDIUM

    public static final LineEndWidth MEDIUM

  - ### SMALL

    public static final LineEndWidth SMALL

  - ### NONE

    public static final LineEndWidth NONE

- ## Method Details

  - ### values

    public static LineEndWidth[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LineEndWidth valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null